
Redmine - Defect #10563

reposman.rb fails to add svn repository when we have one project with git

2012-03-29 11:58 - Jevgen Gyrynovych

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.0

Description

When I runing:

/usr/share/redmine-1.2.0/extra/svn/reposman.rb --redmine https://example.com --key=mykey --svn-dir

 /var/svn --owner www-data --url http://example.com/svn-private/ --verbose

for create svn repository for new project I got:

Unable to connect to https://example.com/sys/: wrong constant name Feature-twitter-oauth

 The most projects uses svn, but I have one project with git. And "Feature-twitter-oauth" - the name of one branch in this repository.

When I disable project with git - reposman.rb works correct again.

    <homepage></homepage>

    <id type="integer">55</id>

    <identifier>myproject-com</identifier>

    <is-public type="boolean">false</is-public>

    <lft type="integer">129</lft>

    <name>twiseller.com</name>

    <parent-id type="integer" nil="true"></parent-id>

    <rgt type="integer">130</rgt>

    <status type="integer">1</status>

    <updated-on type="datetime">2012-03-29T12:17:03+03:00</updated-on>

    <repository>

      <extra-info type="yaml">--- 

branches: 

  master: 

    last_scmid: 0433896f0b4599a23884300f32b5a270841cd619

  feature-twitter-oauth: 

    last_scmid: 335bf60066c1a77812242d310fd3fd6ebb8616f7

 Ruby version              1.8.7

Rails version             2.3.11

Related issues:

Is duplicate of Redmine - Defect #8707: Reposman: wrong constant name Closed 2011-06-29

History

#1 - 2012-03-29 15:45 - Terence Mill

We also would like to mix svn and git repos in redmine an both shall work on ldap/webdav and with auto repo cretion via reposman.

Does anyone got this working together?

#2 - 2012-03-29 21:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #8707, fixed in 1.2.3.
